// static/js/utils.js

export function getAuthHeaders() {
    const token = localStorage.getItem('token');
    return {
        'Content-Type': 'application/json',
        ...(token ? { 'Authorization': `Bearer ${token}` } : {})
    };
}

export function handleApiError(error, fallbackMsg = 'Wystąpił błąd') {
    console.error('Error:', error);
    alert(error.message || fallbackMsg);
}

export function updateAuthUI() {
    const token = localStorage.getItem('token');
    document.querySelectorAll('.auth-links').forEach(container => {
        container.querySelector('.anonymous-links').style.display = token ? 'none' : 'flex';
        container.querySelector('.user-links').style.display = token ? 'flex' : 'none';
    });
}

export function setupLogout() {
    document.getElementById('logoutLink')?.addEventListener('click', (e) => {
        e.preventDefault();
        localStorage.removeItem('token');
        window.location.href = '/';
    });
}
